function GridPassFlag = ChkGrid(x,y,xi,yi)
%CHKGRID Checks whether an x,y grid will be triangulated correctly be GRIDDATA
%   GridPassFlag = ChkGrid(x,y,xi,yi)

%Copyright Eric Lawrey 5/8/00
%Version 1.0

% Triangularize the data
tri = delaunay(x,y);
if isempty(tri),
  warning('Data cannot be triangulated.');
  zi = repmat(NaN,size(xi));
  return
end

%Do a quick search if it fails, don't do a full search
xd = xi(1:8:end,1:8:end);
yd = yi(1:8:end,1:8:end);
%length(xi(:))
%length(xd(:))

% Find the nearest triangle (t)
t = tsearch(x,y,tri,xd,yd);

out = find(isnan(t));
if ~isempty(out)
   GridPassFlag = 0;
   disp('Grid failed on quick test');
   return
else
   GridPassFlag = 1;
end
disp('Grid passed quick test, doing full test');
%Grid pass quick search so do a full search
% Find the nearest triangle (t)
t = tsearch(x,y,tri,xi,yi);

% Only keep the relevant triangles.
out = find(isnan(t));
if ~isempty(out)
   GridPassFlag = 0;
else
   GridPassFlag = 1;
end
