function w = blackh4(n)
%BLACKMAN 4 term BLACKH4(N) returns the N-point 4 term Blackman-Harris 
%window.
%
%	This window has a 93 dB first sidelobe level.
%	C. J. Kikkert 15 March 1996
%	window loss 0.35914 (= vout/vin) -8.894724dB
%	must allow for this in calculations
%$Revision: 1.00 $  $Date: 1996/03/18 00:00:00 $
theta = 2*pi/(n-1);
		
w = (0.35875 - 0.48829*cos(theta*(0:n-1)) +0.14128*cos(2*theta*(0:n-1)) -...
	0.01168*cos(3*theta*(0:n-1)))';
									
	