function w = blackmn2(n1,m1)
%BLACKMAN BLACKMN2(N,M) returns a 2D NxM-point Blackman window.
%Can be used for 2D lowpass filtering
n = n1+2;
m = m1+2;
[x,y] = meshgrid(-1:2/(n-1):1,-1:2/(m-1):1);
r = sqrt(x.^2+y.^2)/2+0.5;
w = (.42 - .5*cos(2*pi*r)) + .08*cos(4*pi*r);
ind = find(r>1);
w(ind) = zeros(1,length(ind));
w = (w(2:m-1,2:n-1)');
w = w./sum(sum(w));

